MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025713Open CASCADE[OCCT] OCCT:Configurationpublic2015-01-16 11:532018-03-19 08:59
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025713: CMake configuring procedure should allow to build OCCT as static libraries
DescriptionCMake configuring procedure should allow to build OCCT as static libraries.

New CMake variable BUILD_LIBRARIES has two options "STATIC" and "SHARED" should be introduced
Steps To Reproduce1. get CR25713 branch in occt git
2. use the changes from CR25713 branch in WOK git
3. generate cmake-files by wok: wgenproj -target=cmake

static build:
4. generate vc10 occt solution from cmake-files with BUILD_LIBRARY_TYPE = static
5. build the generated vc10 project
6. DRAWEXE excluded from the project.

shared build:
7. generate vc10 occt solution from cmake-files with BUILD_LIBRARY_TYPE = Shared
8. build the generated vc10 project
9. build "install" target
10. run draw.bat from install folder and run "testgrid demo" to check
TagsNo tags attached.
Test case numberNot needed
Attached Filestxt file icon full compilation log.txt (358,542 bytes) 2015-01-21 15:37
txt file icon errors.txt (1,524 bytes) 2015-01-21 15:37
txt file icon warnings.txt (40,594 bytes) 2015-01-21 15:37

- Relationships
related to 0000467closedibs Community Option to Build Static Libraries 
related to 0023635closedbugmaster Community Allow statically link with viewer libs 
related to 0029589closedbugmaster Open CASCADE Configuration - allow MFC samples to be built when OCCT is linked statically 

-  Notes
(0036137)
git (administrator)
2015-01-16 12:20

Branch CR25713 has been created by ibs.

SHA-1: f2481b6a366ef0e4518432c8cef0a0270ab36b4f


Detailed log of new commits:

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added
(0036299)
ibs (developer)
2015-01-21 11:47

dear ski,
please test the new cmake feature (static build)
(0036333)
ski (developer)
2015-01-21 15:36

I have reproduced "Steps To Reproduce" scenario.
224 warnings and 3 errors appear during compilation.

Please, look attached files.
(0036775)
git (administrator)
2015-01-28 17:03

Branch CR25713 has been updated forcibly by ibs.

SHA-1: 8a0a724878e9e4f69801837f09f216a5497f5086
(0036778)
ibs (developer)
2015-01-28 17:13

dear ski,
please review CR25713 branch of occt git and CR25713 one of WOK git
(0036795)
ski (developer)
2015-01-29 10:44

No remarks, please test
(0036921)
bugmaster (administrator)
2015-01-30 17:08
edited on: 2015-01-30 17:12

Fix has been tested on Windows and Linux platforms.
Fix for WOK has been integrated into occt-wok repository

(0038825)
git (administrator)
2015-03-24 11:20

Branch CR25713 has been updated forcibly by ibs.

SHA-1: 40082672860750c98119b00f74e83a6ecb28028d
(0038826)
ibs (developer)
2015-03-24 11:23

dear bugmaster, please test again with another configuration (only __shared__ build):

1. get CR25713 branch in occt git
2. use binary WOK distributive 6.8.0
3. generate cmake-files by wok: wgenproj -target=cmake

shared build for windows:
4. generate vc10 occt solution from cmake-files with BUILD_LIBRARY_TYPE = Shared
5. build the generated vc10 project
6. build "install" target
7. run draw.bat from install folder and run "testgrid demo" to check

8. shared build for linux
(0039124)
bugmaster (administrator)
2015-04-01 20:16

OCCT is built and DRAWEXE is launched after actiona made in accordance with ibs scenario
(0040814)
abv (manager)
2015-05-12 10:01

This change will be completely available in 7.0.0
(0040986)
git (administrator)
2015-05-14 16:28

Branch CR25713 has been deleted by inv.

SHA-1: 40082672860750c98119b00f74e83a6ecb28028d

- Related Changesets
occt: master c259930b
Timestamp: 2015-01-16 09:15:11
Author: ibs
Committer: bugmaster
Details ] Diff ]
0025713: CMake configuring procedure should allow to build OCCT as static libraries

BUILD_LIBRARY_TYPE variable added
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-16 11:53 ibs New Issue
2015-01-16 11:53 ibs Assigned To => bugmaster
2015-01-16 12:20 git Note Added: 0036137
2015-01-21 11:47 ibs Note Added: 0036299
2015-01-21 11:47 ibs Assigned To bugmaster => ski
2015-01-21 11:47 ibs Status new => resolved
2015-01-21 11:47 ibs Steps to Reproduce Updated View Revisions
2015-01-21 15:36 ski Note Added: 0036333
2015-01-21 15:37 ski File Added: full compilation log.txt
2015-01-21 15:37 ski File Added: errors.txt
2015-01-21 15:37 ski File Added: warnings.txt
2015-01-21 15:37 ski Assigned To ski => ibs
2015-01-28 17:03 git Note Added: 0036775
2015-01-28 17:08 ibs Assigned To ibs =>
2015-01-28 17:11 ibs Assigned To => ski
2015-01-28 17:13 ibs Note Added: 0036778
2015-01-29 10:37 ibs Steps to Reproduce Updated View Revisions
2015-01-29 10:44 ski Note Added: 0036795
2015-01-29 10:44 ski Assigned To ski => bugmaster
2015-01-29 10:44 ski Status resolved => reviewed
2015-01-30 14:44 mkv Assigned To bugmaster => apv
2015-01-30 17:08 bugmaster Note Added: 0036921
2015-01-30 17:08 bugmaster Status reviewed => verified
2015-01-30 17:08 bugmaster Resolution open => fixed
2015-01-30 17:09 bugmaster Assigned To apv => ibs
2015-01-30 17:12 bugmaster Status verified => assigned
2015-01-30 17:12 bugmaster Assigned To ibs => bugmaster
2015-01-30 17:12 bugmaster Status assigned => resolved
2015-01-30 17:12 bugmaster Status resolved => reviewed
2015-01-30 17:12 bugmaster Status reviewed => tested
2015-01-30 17:12 bugmaster Note Edited: 0036921 View Revisions
2015-03-24 11:20 git Note Added: 0038825
2015-03-24 11:23 ibs Assigned To bugmaster => ibs
2015-03-24 11:23 ibs Note Added: 0038826
2015-03-24 11:23 ibs Assigned To ibs => bugmaster
2015-03-24 11:23 ibs Status tested => assigned
2015-03-24 11:23 ibs Status assigned => resolved
2015-03-24 11:23 ibs Status resolved => reviewed
2015-04-01 20:16 bugmaster Note Added: 0039124
2015-04-01 20:16 bugmaster Status reviewed => tested
2015-04-09 17:01 apv Test case number => Not needed
2015-05-07 11:18 bugmaster Changeset attached => occt master c259930b
2015-05-07 11:18 bugmaster Status tested => verified
2015-05-12 10:01 abv Note Added: 0040814
2015-05-12 10:01 abv Target Version 6.9.0 => 7.0.0
2015-05-14 13:19 bugmaster Target Version 7.0.0 => 6.9.0
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:28 git Note Added: 0040986
2015-10-28 18:23 abv Relationship added related to 0000467
2015-10-28 18:23 abv Relationship added related to 0023635
2018-03-19 08:59 abv Relationship added related to 0029589


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker